/* 
** universal window for ggi
**
** H. Niemann 1997
**
** $Id:$
**
** $Log:$
**
*/

#ifndef _WINDOW_H
#define _WINDOW_H

#include <ggi/libggi.h>
#include "ggicolors.h"

struct window {
	struct ggi_visual * vis ;           /* where to display */

	int xorigin;                 /* upper left corner */
	int yorigin;                 /* relative to visual */
	int xsize;                   /* graph width       */
	int ysize;                   

	ggi_color backgroundcolor;
	
	int borderwidth;             /* coloured border with # pixels */
	ggi_color bordercolor;

	char * title ;
	ggi_color titlecolor;
};

int default_window(struct window * w, struct ggi_visual * v);

int draw_window(struct window * w);


#endif



